> ## Documentation Index
> Fetch the complete documentation index at: https://docs.recoupable.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Artist Profile

> Retrieve comprehensive profile information for an artist across all connected social media platforms, including profile details and post metrics.



## OpenAPI

````yaml api-reference/openapi/releases.json GET /api/artist-profile
openapi: 3.1.0
info:
  title: Recoup API - Releases
  description: >-
    API documentation for the Recoup platform - an AI agent platform for the
    music industry
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.recoupable.dev
security: []
paths:
  /api/artist-profile:
    get:
      description: >-
        Retrieve comprehensive profile information for an artist across all
        connected social media platforms, including profile details and post
        metrics.
      parameters:
        - name: artist_account_id
          in: query
          description: >-
            The unique identifier of the artist account to fetch profile data
            for
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Artist profile retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ArtistProfileResponse'
        '400':
          description: Bad request - missing required parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ArtistProfileErrorResponse'
components:
  schemas:
    ArtistProfileResponse:
      type: object
      required:
        - status
        - profile
      properties:
        status:
          type: string
          enum:
            - success
          description: Status of the request
        profile:
          $ref: '#/components/schemas/ArtistProfile'
          description: The artist's comprehensive profile information
    ArtistProfileErrorResponse:
      type: object
      required:
        - status
        - message
      properties:
        status:
          type: string
          enum:
            - error
          description: Status of the request
        message:
          type: string
          description: Error message describing what went wrong
    ArtistProfile:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the artist
        profiles:
          type: array
          items:
            $ref: '#/components/schemas/ArtistProfileSocialProfile'
          description: List of social media profiles
        total_followers:
          type: integer
          description: Sum of followers across all platforms
        total_following:
          type: integer
          description: Sum of following across all platforms
        total_posts:
          type: integer
          description: Sum of posts across all platforms
        updated_at:
          type: string
          format: date-time
          description: ISO timestamp of when the data was last updated
    ArtistProfileSocialProfile:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the social profile
        username:
          type: string
          description: Username on the platform
        profile_url:
          type: string
          description: Direct URL to the profile
        avatar:
          type: string
          nullable: true
          description: URL to the profile avatar image
        bio:
          type: string
          nullable: true
          description: Profile biography or description
        follower_count:
          type: integer
          nullable: true
          description: Number of followers on this platform
        following_count:
          type: integer
          nullable: true
          description: Number of accounts followed on this platform
        post_count:
          type: integer
          nullable: true
          description: Number of posts on this platform
        region:
          type: string
          nullable: true
          description: Geographic region of the profile
        updated_at:
          type: string
          format: date-time
          description: ISO timestamp of when the profile was last updated

````